Get customer

Get a customer by Paid display ID. Use the value returned as customer.id, for example cus_abc123. If you have your own customer ID, use GET /api/v2/customers/external/{externalId}.

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequired
Paid customer display id

Response

200
idstring

Stable Paid customer display ID. Use this value as the {id} path parameter for customer routes, for example GET /api/v2/customers/cus_abc123/state.

namestring
legalNamestring or null
emailstring
phonestring
websitestring
externalIdstring or null
billingAddressobject
Customer billing address, or null when no address is set.
creationStateenum
churnDatedatetime or null
vatNumberstring or null
metadatamap from strings to any or null
defaultCurrencystringformat: "^[A-Z]{3}$"
ISO 4217 currency code, for example USD, EUR, or GBP.
createdAtdatetime
updatedAtdatetime

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error